Page MenuHomePhabricator

Title of new section in NWE not automatically spellchecked
Closed, ResolvedPublic1 Story Points

Description

When you add a new section using NWE, spellchecking is not enabled by default for the title input (at least in Firefox), because <input> fields aren't spellchecked by default.


Setting spellcheck="true" (https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/spellcheck) enables spellchecking for the title as well, and I don't see any reason not to do so.

Event Timeline

Schnark created this task.Nov 3 2017, 10:27 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptNov 3 2017, 10:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 391256 had a related patch set uploaded (by DLynch; owner: DLynch):
[oojs/ui@master] TextInputWidget: support spellcheck attribute

https://gerrit.wikimedia.org/r/391256

Change 391256 merged by jenkins-bot:
[oojs/ui@master] TextInputWidget: support spellcheck attribute

https://gerrit.wikimedia.org/r/391256

Change 391587 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: enable spellcheck on sectionTitle

https://gerrit.wikimedia.org/r/391587

Deskana assigned this task to DLynch.Nov 17 2017, 11:32 AM
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 391587 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: enable spellcheck on sectionTitle

https://gerrit.wikimedia.org/r/391587

Jdforrester-WMF closed this task as Resolved.Nov 29 2017, 1:14 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 29 2017, 1:14 AM